Wire Docs

Cancel a PaymentIntent

POST
/v1/payment_intents/{id}/cancel

Authorization

bearerAuth
AuthorizationBearer <token>

API key as a bearer token (Authorization: Bearer sk_live_...).

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/payment_intents/string/cancel"
{
  "id": "string",
  "object": "payment_intent",
  "amount": 0,
  "currency": "string",
  "status": "new",
  "client_secret": "string",
  "automatic_operator": true,
  "allowed_operators": [
    "string"
  ],
  "selected_operator": "string",
  "next_action": {},
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "livemode": true,
  "created": 0,
  "expires_at": 0
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "request_id": "string",
    "doc_url": "string",
    "operator_decline_code": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "request_id": "string",
    "doc_url": "string",
    "operator_decline_code": "string"
  }
}